<template>
  <i-wrapper top>
    <div class="p-you-title">{{ $t(`About You`) }}</div>
    <nuxt-link :to="{ name: 'settings' }" class="p-settings-button">
      <img src="~assets/images/you-settings-white.svg" class="p-settings-button__image" />
    </nuxt-link>
    <div class="p-zodiac">
      <img src="~assets/images/circles-white.svg" class="p-circles" />
      <img
        :src="
          require(`~/assets/images/zodiac-${sunPlanet.sign.toLowerCase()}-orange${
            zodiacVariants[sunPlanet.sign.toLowerCase()]
              ? `-variant-${zodiacVariants[sunPlanet.sign.toLowerCase()]}`
              : ''
          }.png`)
        "
        class="p-zodiac-image" />
      <img src="~assets/images/planet-sun-w2-variant-1.svg" class="p-planet-image" />
    </div>
    <div class="p-state">
      {{ auth.user.name }},
      {{ sunInSignText }}
    </div>
    <div></div>
    <i-option-switcher
      :options="[
        { title: this.$t('Planets'), to: { name: 'you.planets' } },
        { title: this.$t('Houses'), to: { name: 'you.houses' }, isSubscriptionRequired: true },
      ]"
      class="p-option-switcher"
      @subscription-required="$refs.iUnlockFullAccess.show()" />
    <nuxt-child />
    <template #bottom>
      <i-bottom-panel />
    </template>
    <i-unlock-full-access ref="iUnlockFullAccess" />
    <i-secure-account />
  </i-wrapper>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    layout: 'default',
    nuxtI18n: false,
    middleware: ['logged-in-only'],

    async asyncData({ $axios }) {
      let response = await $axios.get('pages/you/basic');

      return {
        sunPlanet: response.data.data.sunPlanet,
        sunInSignText: response.data.data.sunInSignText,
      };
    },

    computed: {
      ...mapState(['auth']),
    },

    data() {
      return {
        zodiacVariants: {
          aquarius: 2,
          cancer: 2,
        },
      };
    },
  };
</script>

<style lang="scss" scoped>
  .p-you-title {
    font-size: rf(30px);
    color: #fff;
    font-weight: bold;
    margin-top: rs(45px);
  }

  .p-settings-button {
    display: block;
    position: absolute;
    z-index: 0;
    top: rs(10px);
    right: rs(10px);
    width: rs(30px);
    height: rs(30px);
    padding: rs(20px);
    box-sizing: content-box;
  }

  .p-settings-button__image {
    width: rs(30px);
    height: rs(30px);
  }

  .p-zodiac {
    position: relative;
    z-index: 0;
    display: flex;
    flex-direction: column;
    margin-top: rs(20px);
  }

  .p-circles {
    position: absolute;
    z-index: 0;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: rs(440px);
    pointer-events: none;
  }

  .p-zodiac-image {
    position: relative;
    z-index: 1;
    width: rs(140px);
    height: rs(140px);
  }

  .p-planet-image {
    position: absolute;
    z-index: 2;
    bottom: rs(2px);
    right: rs(2px);
    width: rs(45px);
    height: rs(45px);
  }

  .p-state {
    position: relative;
    z-index: 1;
    min-width: rs(266px);
    height: rs(42px);
    background-color: #fff;
    border-radius: rs(math.div(42px, 2));
    display: flex;
    align-items: center;
    justify-content: center;
    color: #575167;
    font-weight: bold;
    font-size: rf(19px);
    margin-top: rs(2px);
    padding: 0 rs(math.div(42px, 2));
  }

  .p-option-switcher {
    position: relative;
    z-index: 1;
    margin-top: rs(46px);
  }
</style>
